org.apache.ode.bpel.engine.migration

## Class OldCorrelationKey

- java.lang.Object
- - org.apache.ode.bpel.engine.migration.OldCorrelationKey

- All Implemented Interfaces:
    java.io.Serializable

      public class OldCorrelationKey
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldCorrelationKey(int csetId, java.lang.String[] keyValues)` Constructor.
    `OldCorrelationKey(java.lang.String canonicalForm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Equals comperator method.
    `int` | `getCSetId()` Return the OCorrelation id for the correlation set
    `java.lang.String[]` | `getValues()` Return the values for the correlation set
    `int` | `hashCode()` Generate a hash code from the hash codes of the elements.
    `boolean` | `isMatch(OldCorrelationKey[] keys)` Check if this key matches any member in a set of keys.
    `java.util.List<java.lang.String>` | `toCanonicalList()`
    `java.lang.String` | `toCanonicalString()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OldCorrelationKey

          public OldCorrelationKey(int csetId,
                                   java.lang.String[] keyValues)

      Constructor.
      Parameters:
        `csetId` - correlation set identifier
        `keyValues` - correlation key values

    - #### OldCorrelationKey

          public OldCorrelationKey(java.lang.String canonicalForm)

  - ### Method Detail

    - #### getCSetId

          public int getCSetId()

      Return the OCorrelation id for the correlation set

    - #### getValues

          public java.lang.String[] getValues()

      Return the values for the correlation set

    - #### isMatch

          public boolean isMatch(OldCorrelationKey[] keys)

      Check if this key matches any member in a set of keys.
      Parameters:
        `keys` - set of keys to match against
      Returns:
        `true` if one of the keys in the set `equals(..)` this key, `false` otherwise

    - #### equals

          public boolean equals(java.lang.Object o)

      Equals comperator method.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - `CorrelationKey` object to compare with
      Returns:
        `true` if the given object

    - #### hashCode

          public int hashCode()

      Generate a hash code from the hash codes of the elements.
      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `AbstractMap.hashCode()`, `Object.hashCode()`

    - #### toCanonicalList

          public java.util.List<java.lang.String> toCanonicalList()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

    - #### toCanonicalString

          public java.lang.String toCanonicalString()